<?php get_header(); ?>

	<div id="primary" class="content-area clear">

		<?php
			if( is_home() && (get_theme_mod('home-featured-on', 'true') == true ) ) {
				get_template_part('template-parts/content','featured');
				get_template_part('template-parts/home','latest');
			}
		?>

		<main id="main" class="site-main clear">

			<div id="recent-content">

			<?php if ( is_active_sidebar( 'homepage' ) ) { ?>

				<?php dynamic_sidebar( 'homepage' ); ?>

			<?php } else { ?>

				<div class="notice entry-content">
					<p><?php echo __('Add the "Home - 1/2 Columns" and "Ads" widget to <strong>Home Content</strong> widget area.', 'myportal'); ?></p>

					<a href="<?php echo home_url(); ?>/wp-admin/widgets.php" target="_blank"><?php echo __('OK, I\'m doing now &raquo;', 'myportal'); ?></a>  | <a href="<?php echo get_template_directory_uri(); ?>/assets/img/how-to-widgets.png" target="_blank"><?php echo __('How to &raquo;', 'myportal'); ?></a>
				</div>

			<?php } ?>							
			
			</div><!-- #recent-content -->		

		</main><!-- .site-main -->

	</div><!-- #primary -->

<?php get_template_part('sidebar', 'home'); ?>
<?php get_footer(); ?>
