<div class="entry-meta">

	<?php if( ( get_theme_mod('single-author-avatar-on', true) == true ) || ( get_theme_mod('single-author-name-on', true) == true ) ) : ?>

		<span class="entry-author">
			
			<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>">

				<?php 
					if( get_theme_mod('single-author-avatar-on', true) == true ) :
						echo get_avatar( get_the_author_meta( 'ID' ), 80 );
					endif; 
				?>

				<?php 
					if( get_theme_mod('single-author-name-on', true) == true ) : 
						echo get_the_author_meta('nickname'); 
					endif; 
				?>

			</a>

		</span><!-- .entry-author -->

	<?php endif; ?>

	<?php if( get_theme_mod('single-date-on', true) == true ) : ?>
		
		<?php if ( ( get_theme_mod('single-author-avatar-on', true) == true ) || ( get_theme_mod('single-author-name-on', true) == true ) ) : ?>
			<span class="sep"> - </span>	
		<?php endif; ?>

		<span class="entry-date">
			<?php echo esc_html(get_the_date()); ?> <?php esc_html_e('at', 'myportal'); ?> <?php the_time( 'G:i' ); ?>
		</span><!-- .entry-date -->

	<?php endif; ?>

	<?php if( get_theme_mod('single-comment-on', true) == true ) : ?>
		<span class="entry-comment"><?php comments_popup_link( '0', '1', '%', 'comments-link', '');?></span>
	<?php endif; ?>

</div><!-- .entry-meta -->

<?php if( get_theme_mod('single-share-on', true) == true ) : ?>

	<?php get_template_part('template-parts/entry', 'share'); ?>

<?php endif; ?>