<?php 
	global $i;
	if( ( get_theme_mod('pagination-style', 'choice-1') == 'choice-1' ) && ( $i > get_option( 'posts_per_page' ) ) ) : 
?>

<!-- status elements -->
<div class="scroller-status">
	<div class="infinite-scroll-request loader-ellips">
		<img src="<?php echo get_template_directory_uri(); ?>/assets/img/bx_loader.gif" alt=""/> <?php echo get_theme_mod('pagination-loading-text', 'Loading posts... '); ?>
	</div>
	<p class="infinite-scroll-last"><img src="<?php echo get_template_directory_uri(); ?>/assets/img/tick.png" alt=""/> <?php echo get_theme_mod('pagination-loaded-text', 'All posts loaded'); ?></p>
	<p class="infinite-scroll-error"><?php esc_html_e( 'No more posts', 'myportal' ); ?></p>
</div><!-- .scroller-status -->

<?php endif; ?>

<?php
	the_posts_pagination( array( 'prev_text' => __( 'Previous', 'myportal' ), 'next_text' => __( 'Next', 'myportal' ) ) );
?>

<?php if( get_theme_mod('pagination-style', 'choice-1') == 'choice-1' ) : ?>

<script type="text/javascript">
(function($){ //create closure so we can safely use $ as alias for jQuery

    $(document).ready(function(){

        "use strict";

	        // init Infinite Scroll
	        $('.posts-loop').infiniteScroll({
	          path: '.next',
	          append: '.hentry',
	          status: '.scroller-status',
	          hideNav: '.pagination',
	        });

	        $('.content-search').infiniteScroll({
	          path: '.next',
	          append: '.hentry',
	          status: '.scroller-status',
	          hideNav: '.pagination',
	        });

    });

})(jQuery);

</script>

<?php endif; ?>
